#
#	% make -f makefile-sao_demos.linux
#	or
#	% make linux
#
#	% make -f makefile-sao_demos.macosppc
#	or
#	% make macosppc
#
#	% make -f makefile-sao_demos.ultrix
#	or
#	% make ultrix
#
#	% make -f makefile-sao_demos.unix
#	or
#	% make unix
#

ALL = all

oops:
	@echo No architecture specified.  Please re-run as \"make ARCH\", \
	where ARCH is one of
	@grep '^[a-z].*:' makefile | grep -v $@ | sed 's/:.*$$//'

linux:						# Linux
	$(MAKE) -f makefile-sao_demos.linux $(all) ARCH=$@

macosppc:						# Mac OS PPC
	$(MAKE) -f makefile-sao_demos.macosppc $(all) ARCH=$@

ultrix:						# DECstation/VAXstation (Ultrix)
	$(MAKE) -f makefile-sao_demos.ultrix $(all) ARCH=$@

						# Other Unixes
unix:	$(MAKE) -f makefile-sao_demos.unix $(all) ARCH=$@
